diff --git a/resources/web/flutter_web/flutter_bootstrap.js b/resources/web/flutter_web/flutter_bootstrap.js
index 2ff32b06c8..f31393084a 100644
--- a/resources/web/flutter_web/flutter_bootstrap.js
+++ b/resources/web/flutter_web/flutter_bootstrap.js
@@ -11,6 +11,6 @@ _flutter.buildConfig = {"engineRevision":"b8800d88be4866db1b15f8b954ab2573bba996
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "122636570"
+    serviceWorkerVersion: "332938162"
   }
 });
diff --git a/resources/web/flutter_web/flutter_service_worker.js b/resources/web/flutter_web/flutter_service_worker.js
index 515918929d..7f98b70223 100644
--- a/resources/web/flutter_web/flutter_service_worker.js
+++ b/resources/web/flutter_web/flutter_service_worker.js
@@ -3,33 +3,33 @@ const MANIFEST = 'flutter-app-manifest';
 const TEMP = 'flutter-temp-cache';
 const CACHE_NAME = 'flutter-app-cache';
 
-const RESOURCES = {"flutter_bootstrap.js": "360fcb7ece74a6ddc0b90b99cfaf61e8",
-"version.json": "970f76bce879e0e8a3c71f92c31d53be",
-"index.html": "0ea1997f6c2c3b34b0f1fb58390e10c7",
-"/": "0ea1997f6c2c3b34b0f1fb58390e10c7",
-"main.dart.js": "a295ed043d6a84d80de1eb3143542830",
+const RESOURCES = {"flutter_bootstrap.js": "70025bb433b520d0ec62b28dee896ad3",
+"version.json": "e52a93209d7448318a7147c855506052",
+"index.html": "ac3c42043ce225dd2ddf521624bed1f8",
+"/": "ac3c42043ce225dd2ddf521624bed1f8",
+"main.dart.js": "0aecb6c76ad938e3203514c93b85649c",
 "flutter.js": "f31737fb005cd3a3c6bd9355efd33061",
-"version.changelog": "1ba1bc2d44d055158f7719b3b2ffe3a7",
+"version.changelog": "9590096c9e50df042fdc3575b0b6c55c",
 "favicon.png": "be8d1ab28c20907c9869c345d0482962",
 "icons/Icon-192.png": "ab1f25ced1559729e334de938eae91a5",
 "icons/Icon-maskable-192.png": "e41e8489c0f6a822acf8dab362e112b7",
 "icons/Icon-maskable-512.png": "4870fb6720f4fcad016cb582589d136d",
 "icons/Icon-512.png": "343022ac1c56796cb7ff635faf0646ef",
 "manifest.json": "901d86fb8842ec0d66225a542131d689",
-"assets/AssetManifest.json": "72e2d76c872feeb5bb96bcc8facd729c",
+"assets/AssetManifest.json": "c02aa73daf8e9a2b906ee21d959ce1e4",
 "assets/NOTICES": "d453b0291cf6ccfc5ced86766a1aa652",
 "assets/FontManifest.json": "0dc3d44d47c5e2636cdca4babafb2396",
-"assets/AssetManifest.bin.json": "e834d2b760d8a73a48c833be3c19ba6e",
+"assets/AssetManifest.bin.json": "5735ff58f81401cb83bd84da8208c527",
 "assets/packages/lava_device_control/assets/files/filament.json": "54d21ade78e6cd6025306530023b094d",
 "assets/packages/cupertino_icons/assets/CupertinoIcons.ttf": "391ff5f9f24097f4f6e4406690a06243",
 "assets/packages/fluttertoast/assets/toastify.js": "56e2c9cedd97f10e7e5f1cebd85d53e3",
 "assets/packages/fluttertoast/assets/toastify.css": "a85675050054f179444bc5ad70ffc635",
 "assets/packages/wakelock_plus/assets/no_sleep.js": "7748a45cd593f33280669b29c2c8919a",
 "assets/shaders/ink_sparkle.frag": "ecc85a2e95f5e9f53123dcaf8cb9b6ce",
-"assets/AssetManifest.bin": "e6421692063a637e740d83842b7b806d",
+"assets/AssetManifest.bin": "e859f2edad71e24cca9c40b84878deb9",
 "assets/fonts/MaterialIcons-Regular.otf": "aa361df3c4cfa80e7a16cc8899e3c663",
-"assets/assets/i10n/zh-CN.json": "11eb31598543608b7fb935f5673cbaef",
-"assets/assets/i10n/en.json": "552a55a8589175d6bd2422e3d4acc5ca",
+"assets/assets/i10n/zh-CN.json": "7248514969b4e327a7441ee87a09fd67",
+"assets/assets/i10n/en.json": "20735bec964e2a0563e735fa1db06e73",
 "assets/assets/images/deviceNoResponse.webp": "1ca23a7feedfdc34362ea5789ccf895b",
 "assets/assets/images/deviceAuthorized.webp": "8eb814193bed15cec22658018871aba8",
 "assets/assets/images/IpInputGuide.webp": "06c11ce1dadc2910676aec6d40a5eea5",
diff --git a/resources/web/flutter_web/version.changelog b/resources/web/flutter_web/version.changelog
index b29735273d..27d89a2bc8 100644
--- a/resources/web/flutter_web/version.changelog
+++ b/resources/web/flutter_web/version.changelog
@@ -1,5 +1,6 @@
 
 # Changelog
 
+- 优化绑定和连接体验
 - 修复局域网连接打开监控失败
-- 优化体验
+- 优化发送文件打印
diff --git a/src/slic3r/GUI/NetworkTestDialog.cpp b/src/slic3r/GUI/NetworkTestDialog.cpp
index 99a599d409..c6ca650bd0 100644
--- a/src/slic3r/GUI/NetworkTestDialog.cpp
+++ b/src/slic3r/GUI/NetworkTestDialog.cpp
@@ -12,6 +12,12 @@
 #include <boost/asio/ip/tcp.hpp>
 #include <boost/log/trivial.hpp>
 #include <chrono>
+#include <vector>
+#include <cstdio>
+#include <memory>
+#ifndef _WIN32
+#include <sys/wait.h>
+#endif
 
 namespace Slic3r {
 namespace GUI {
@@ -522,22 +528,38 @@ void NetworkTestDialog::start_test_ping(wxString server, TestJob job)
 #ifdef _WIN32
 		// Windows: ping -n 4 <server>
 		wxString ping_cmd = "ping -n 4 " + server;
-#else
-		// Linux/Mac: ping -c 4 <server>
-		wxString ping_cmd = "ping -c 4 " + server;
-#endif
-
-		// 执行ping命令 - 使用wxEXEC_NODISABLE和wxEXEC_HIDE_CONSOLE避免影响主线程
+		// Windows 可以使用 wxExecute
 		wxArrayString output;
 		wxArrayString errors;
-
-		// 添加标志：不禁用窗口，隐藏控制台窗口
-		long exec_flags = wxEXEC_SYNC | wxEXEC_NODISABLE;
-#ifdef _WIN32
-		exec_flags |= wxEXEC_HIDE_CONSOLE;  // Windows下隐藏cmd窗口
-#endif
-
+		long exec_flags = wxEXEC_SYNC | wxEXEC_NODISABLE | wxEXEC_HIDE_CONSOLE;
 		long result = wxExecute(ping_cmd, output, errors, exec_flags);
+#else
+		// Linux/Mac: ping -c 4 <server>
+		// 使用 popen() 而不是 wxExecute，因为 wxExecute 在 macOS 上不能在异步线程中使用
+		std::string ping_cmd = "ping -c 4 " + server.ToStdString();
+		wxArrayString output;
+		long result = -1;
+		
+		FILE* pipe = popen(ping_cmd.c_str(), "r");
+		if (pipe != nullptr) {
+			char buffer[1024];
+			while (fgets(buffer, sizeof(buffer), pipe) != nullptr) {
+				// 转换为 wxString 并添加到 output
+				wxString line = wxString::FromUTF8(buffer);
+				line.Trim();  // 移除换行符
+				if (!line.IsEmpty()) {
+					output.Add(line);
+				}
+			}
+			int pclose_result = pclose(pipe);
+			// pclose 返回的是命令的退出状态，需要检查 WEXITSTATUS
+			if (WIFEXITED(pclose_result)) {
+				result = WEXITSTATUS(pclose_result);
+			} else {
+				result = -1;
+			}
+		}
+#endif
 
 		if (result == 0 && output.GetCount() > 0) {
 			// 解析ping输出（不输出每一行，减少UI更新）
@@ -545,6 +567,9 @@ void NetworkTestDialog::start_test_ping(wxString server, TestJob job)
 			wxString rtt_info;
 			int received = 0;
 			int sent = 4;
+			
+			// macOS需要收集所有time值来计算平均值
+			std::vector<double> time_values;
 
 			for (size_t i = 0; i < output.GetCount(); i++) {
 				wxString line = output[i];
@@ -639,12 +664,62 @@ void NetworkTestDialog::start_test_ping(wxString server, TestJob job)
 					}
 				}
 #else
-				// Linux/Mac格式: "rtt min/avg/max/mdev = 1.234/5.678/9.012/1.234 ms"
-				if (line.Contains("rtt") && line.Contains("avg")) {
-					found_rtt = true;
-					rtt_info = line;
+				// macOS格式: "64 bytes from 13.35.32.150: icmp_seq=519 ttl=244 time=57.030 ms"
+				// 需要从每行提取 time=XX.XXX ms 并收集所有值
+				if (line.Contains("time=")) {
+					int time_pos = line.Find("time=");
+					if (time_pos != wxNOT_FOUND) {
+						wxString after_time = line.Mid(time_pos + 5);  // 跳过 "time="
+						wxString time_str;
+						// 提取数字（可能包含小数点）
+						for (size_t j = 0; j < after_time.Length(); j++) {
+							wxChar c = after_time[j];
+							if (wxIsdigit(c) || c == '.') {
+								time_str += c;
+							} else if (c == ' ' || c == 'm') {
+								// 遇到空格或 'm' (ms) 停止
+								break;
+							}
+						}
+						if (!time_str.IsEmpty()) {
+							double time_val;
+							if (time_str.ToDouble(&time_val)) {
+								time_values.push_back(time_val);
+								found_rtt = true;
+							}
+						}
+					}
 				}
-				// 统计格式: "4 packets transmitted, 4 received"
+				
+				// Linux格式: "rtt min/avg/max/mdev = 1.234/5.678/9.012/1.234 ms"
+				if (!found_rtt && line.Contains("rtt") && line.Contains("avg")) {
+					found_rtt = true;
+					// 提取平均值
+					int avg_pos = line.Find("avg");
+					if (avg_pos != wxNOT_FOUND) {
+						wxString after_avg = line.Mid(avg_pos + 3);
+						wxString num_str;
+						size_t i = 0;
+						// 跳过空格和等号
+						while (i < after_avg.Length() && (after_avg[i] == ' ' || after_avg[i] == '\t' || after_avg[i] == '=')) {
+							i++;
+						}
+						// 提取数字直到遇到斜杠或空格
+						while (i < after_avg.Length() && (wxIsdigit(after_avg[i]) || after_avg[i] == '.')) {
+							num_str += after_avg[i];
+							i++;
+						}
+						if (!num_str.IsEmpty()) {
+							rtt_info = num_str + "ms (average)";
+						} else {
+							rtt_info = line;
+						}
+					} else {
+						rtt_info = line;
+					}
+				}
+				
+				// 统计格式: "4 packets transmitted, 4 received" (Linux/macOS通用)
 				if (line.Contains("packets transmitted") && line.Contains("received")) {
 					int pos_received = line.Find(" received");
 					if (pos_received != wxNOT_FOUND) {
@@ -663,9 +738,47 @@ void NetworkTestDialog::start_test_ping(wxString server, TestJob job)
 						}
 					}
 				}
+				
+				// macOS 可能还有统计行: "round-trip min/avg/max/stddev = 1.234/5.678/9.012/1.234 ms"
+				if (!found_rtt && line.Contains("round-trip") && line.Contains("avg")) {
+					found_rtt = true;
+					int avg_pos = line.Find("avg");
+					if (avg_pos != wxNOT_FOUND) {
+						wxString after_avg = line.Mid(avg_pos + 3);
+						wxString num_str;
+						size_t i = 0;
+						while (i < after_avg.Length() && (after_avg[i] == ' ' || after_avg[i] == '\t' || after_avg[i] == '=')) {
+							i++;
+						}
+						while (i < after_avg.Length() && (wxIsdigit(after_avg[i]) || after_avg[i] == '.')) {
+							num_str += after_avg[i];
+							i++;
+							if (i < after_avg.Length() && after_avg[i] == '/') break;  // 遇到斜杠停止
+						}
+						if (!num_str.IsEmpty()) {
+							rtt_info = num_str + "ms (average)";
+						} else {
+							rtt_info = line;
+						}
+					} else {
+						rtt_info = line;
+					}
+				}
 #endif
 			}
 
+			// 如果收集了多个time值（macOS），计算平均值
+			if (!time_values.empty()) {
+				double sum = 0.0;
+				for (double val : time_values) {
+					sum += val;
+				}
+				double avg = sum / time_values.size();
+				rtt_info = wxString::Format("%.3fms (average from %zu samples)", avg, time_values.size());
+			} else if (found_rtt && rtt_info.IsEmpty()) {
+				rtt_info = "N/A";
+			}
+
 			// 计算丢包率
 			int packet_loss = ((sent - received) * 100) / sent;
 
@@ -677,8 +790,8 @@ void NetworkTestDialog::start_test_ping(wxString server, TestJob job)
 
 			if (parse_success) {
 				// 成功解析了ping结果
-				if (found_rtt) {
-					summary += "[OK] Ping RTT: " + rtt_info + "\n";
+				if (found_rtt && !rtt_info.IsEmpty()) {
+					summary += "[OK] Ping round-trip time: " + rtt_info + "\n";
 				}
 				summary += wxString::Format("Packet loss: %d%% (%d/%d received)\n", packet_loss, received, sent);
 
@@ -697,9 +810,20 @@ void NetworkTestDialog::start_test_ping(wxString server, TestJob job)
 
 		} else {
 			wxString error_summary = "\n[FAIL] Ping command failed or timed out";
+#ifdef _WIN32
 			for (size_t i = 0; i < errors.GetCount(); i++) {
 				error_summary += "\nError: " + errors[i];
 			}
+#else
+			if (output.GetCount() > 0) {
+				error_summary += "\nOutput:\n";
+				for (size_t i = 0; i < output.GetCount() && i < 5; i++) {
+					error_summary += "  " + output[i] + "\n";
+				}
+			} else {
+				error_summary += "\nNo output from ping command";
+			}
+#endif
 			update_status(-1, error_summary);
 		}
 
diff --git a/src/slic3r/GUI/WebPresetDialog.cpp b/src/slic3r/GUI/WebPresetDialog.cpp
index 5158c8861c..3143ac2f76 100644
--- a/src/slic3r/GUI/WebPresetDialog.cpp
+++ b/src/slic3r/GUI/WebPresetDialog.cpp
@@ -188,6 +188,8 @@ WebPresetDialog::WebPresetDialog(GUI_App* pGUI, long style)
     });
     // LoadProfile();
 
+    m_load_thread->detach();
+
     // UI
     SetStartPage(BBL_REGION);
 
diff --git a/version.inc b/version.inc
index eedc28d022..105311aac3 100644
--- a/version.inc
+++ b/version.inc
@@ -10,7 +10,7 @@ endif()
 if(NOT DEFINED BBL_INTERNAL_TESTING)
 set(BBL_INTERNAL_TESTING "0")
 endif()
-set(Snapmaker_VERSION "2.2.0")
+set(Snapmaker_VERSION "2.2.1")
 set(MIN_FIRM_VER "1.0.0")
 string(REGEX MATCH "^([0-9]+)\\.([0-9]+)\\.([0-9]+)"
        Snapmaker_VERSION_MATCH ${Snapmaker_VERSION})
